|docs
Start Trial

Update a rule

Update an existing rule.

Action required!

Make sure that all required PagerDuty and Jira webhooks are present. You can do this by clicking Check webhooks button on the Rules page of the PagerDuty Jira application

Authorization

BearerToken
AuthorizationBearer <token>

PagerDuty OAuth user Access Token

The developer should obtain a valid user-based bearer token by performing Classic User OAuth by following our public documentation: https://developer.pagerduty.com/docs/b2a19cce2867a-classic-user-o-auth

In: header

Path Parameters

id*string

The ID of the resource.

Header Parameters

x-pagerduty-jira-signature*string

Connected Jira instance signature token

This header contains a signature token that validates the connection between PagerDuty and a specific Jira instance. It must be included in all API requests.

Obtaining the signature token

  1. Send an authenticated GET request to your Jira instance: GET /plugins/servlet/pagerduty/sign

  2. The endpoint returns a JSON response containing the signature: { "signature": "eyJ0eXAiOiJK..." }

  3. Use the returned signature value in the x-pagerduty-jira-signature header for all subsequent API calls.

Note: Signature token is valid for 15 minutes after generation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json